* {
    box-sizing: border-box;
}

body {
    margin: 0;
    width: 100vw;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background: #000000;
}

canvas {
    aspect-ratio: 1 / 1;
    width: min(90vw, 90vh);
    height: auto;
    border: solid 2px #ffffff;
}

@media (max-width: 600px) {
    body {
        width: 100dvw;
        height: 100dvh;
    }

    canvas {
        width: 95vw;
        height: auto;
    }
}
